MARKDENT-HTML(1p)

NAME
markdent-html - Turn Markdown into HTML with Markdent

VERSION
version 0.40

SYNOPSIS
    $> markdent-html --file ./path/to/text.md

DESCRIPTION
This tool turns Markdown into HTML using Markdent.

OPTIONS
This tool accepts the following command line options:

  --file
The file containing the Markdown to process. You must provide this or "--text", but not both.

Pass "-" to read from "STDIN".

  --text
The Markdown text to process. You must provide this or "--file", but not both.

  --title
If you pass then the output will be a full HTML document containing this as the "<title>" tag. If this isn't passed then the output will be a HTML fragment with no "<html>" or "<body>" tags.

  --charset
If you pass with a "--title" it will be used to populate a "<meta charset="...">" tag for the document.

  --language
If you pass with a "--title" it will be used to set the "lang" attribute for the document's "<html>" tag.

  --dialects
You can add one or more dialects to the standard parser with this option. This can either be a full class name like "Markdent::Dialect::GitHub" or just a short name like "GitHub".

SUPPORT
Bugs may be submitted at <https://github.com/houseabsolute/Markdent/issues>.

I am also usually active on IRC as 'autarch' on "irc://irc.perl.org".

SOURCE
The source code repository for Markdent can be found at <https://github.com/houseabsolute/Markdent>.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2021 by Dave Rolsky.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

The full text of the license can be found in the LICENSE file included with this distribution.